(use-modules (gnu)
             ((gnu packages autotools) #:select (autoconf automake))
             ((gnu packages compression) #:select (xz))
             ((gnu packages guile) #:select (guile-3.0 guile-bytestructures))
             ((gnu packages pkg-config) #:select (pkg-config))
             (guix build-system gnu)
             (guix download)
             (guix git-download)
             ((guix licenses) #:prefix license:)
             (guix packages)
             (guix profiles))

(define guile-lzma
  (package
    (name "guile-lzma")
    (version "0.1.0")
    (source
     (origin
       (method url-fetch)
       (uri (string-append "https://files.ngyro.com/guile-lzma/guile-lzma-"
                           version ".tar.gz"))
       (sha256
        (base32 "1f7pd3frckpwsi5p0bln4wf8xy41x0szlpy273phjdmjacw69hzb"))))
    (build-system gnu-build-system)
    (native-inputs
     (list autoconf
           automake
           guile-3.0
           guile-bytestructures
           pkg-config))
    (inputs (list guile-3.0 xz))
    (propagated-inputs (list guile-bytestructures))
    (home-page "http://git.ngyro.com/guile-lzma/")
    (synopsis "Guile bindings for liblzma (XZ)")
    (description "Guile-LZMA is a Guile wrapper for the liblzma (XZ)
library.  It exposes an interface similar to other Guile compression
libraries, like Guile-zlib.")
    (license license:gpl3+)))

(packages->manifest
 (cons guile-lzma
       (map specification->package
            '("autoconf"
              "automake"
              "gcc-toolchain"
              "guile"
              "guile-gcrypt"
              "guile-quickcheck"
              "make"
              "perl"
              "pkg-config"
              "zlib"))))

